function [fv,sp] = predfiltvertbetalev(y,Z,eta,pini,alpha,gamma,xi,beta)

% FILTVERT predictive filterverteilung

m=size(alpha,1);
p = pini;
n = length(y)+1;
fv = zeros(n,length(pini));
fv(1:m+1,:) = pini(:,ones(m+1,1))';
sp = 0;

for i = m+2:n
    ext = eta'*p;
    [lh  maxl] = likelil(y(i-1:-1:i-m-1),Z(i-1:-1:i-m-1,:),alpha,gamma,xi,beta);    % use likelihood function
    p = ext.*lh;
    sp = sp + log(sum(p))+maxl;
    p = p / sum(p);
    fv(i,:) = ext';
end

