function [alpha,gamma,xi,irej,acc,mu, prv, crw]=simarchlevparinfodirmix(u,eta,sst,alpha,gamma,xi,alxi0,prgamma1,e01);
   
% NEU alxiold constructed par vector (alpha,xi/2,1-sum(alpha)-xi/2) with old values of alpha and xi
% NEU alxineu constructed par vector (alpha,xi/2,1-sum(alpha)-xi/2) with new values of alpha and xi
%evaluation of the joint dirichlet prior for (old values of) alpha and xi is based on dirich(alxiold,alxi0),
%and accordingly for the evaluation of the prior for (new values of) alpha and xi is based on dirich(alxineu,alxi0)
%Values for alpha and xi are simulated using the information in the data only, 
%values for gamma are simulated using additionally information of the prior.

thetaold=[alpha;gamma;xi]; 
alxiold=[alpha;xi/2;1-sum(alpha)-xi/2]';  
nst=size(gamma,1);
m=size(alpha,1);

nmix=size(prgamma1,3);
feta = squeeze(dirichlog(eta(:,:,ones(1,nmix)),e01));
fp = feta+prodinvgamlog(gamma(:,ones(1,nmix)),prgamma1)';
fmax=max(fp);
fpriorq=fmax + log(mean(exp(fp-fmax)));
falt=likswarchlev(u,sst,alpha,gamma,xi)+fpriorq+log(dirich(alxiold,alxi0));

 % construct proposal and simulate
  
[mu, prv, crw] = approxglmlevinfodir(u,sst,alpha,gamma,xi,prgamma1(:,:,end));  

  scale=1;
  crw=crw*scale;
  prv=prv/(scale^2);
  
  
  theta =  mu + crw*randn(nst+m+1,1);
  qneu = pmultnorm(theta,mu,prv);
  alpha=theta(1:m);
  gamma=theta(m+1:end-1);
  xi=theta(end);
  alxineu=[alpha;xi/2;1-sum(alpha)-xi/2]';
  
  % checke  constraints; setze acceptance 0 und reject
      
 irej =theta(1:end)<=0;

  if any(irej)
     acc = 0;
  else
      [mu, prv, crw] = approxglmlevinfodir(u,sst,alpha,gamma,xi,prgamma1(:,:,end));  
      qalt=pmultnorm(thetaold,mu,prv);
      
      fp=feta+prodinvgamlog(gamma(:,ones(1,nmix)),prgamma1)';
      fmax=max(fp);
      fpriorq=fmax + log(mean(exp(fp-fmax)));

      fneu=likswarchlev(u,sst,alpha,gamma,xi)+fpriorq+log(dirich(alxineu,alxi0));

 
    al=exp(fneu-falt+qalt-qneu);
    acc = min(al,1);
  end
  index = rand(1)<=acc;
  theta = index*theta+(1-index)*thetaold;
  
  alpha=theta(1:m);
  gamma=theta(m+1:end-1);
  xi=theta(end);
